| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
com.symantec.sepm.webservice.admin.license.LicenseInfo Class Reference

This class contains information about a specified license in the license chain. More...

## Public Member Functions
int | getLicenseType ()
| This license type is the type of the individual license for which detailed information is provided. More...
void | setLicenseType (int type)
| Client applications should not call this method. More...
int | getProductType ()
| The product for which this license is issued. More...
void | setProductType (int type)
| Client applications should not call this method. More...
int | getPurchasedSeats ()
| The number of purchased seats in this license. More...
void | setPurchasedSeats (int seats)
| Client applications should not call this method. More...
String | getExpirationDate ()
| The expiration date of this license. More...
void | setExpirationDate (String date)
| Client applications should not call this method. More...
boolean | isExpired ()
| Whether this license is expired. More...
void | setExpired (boolean isExpired)
| Client applications should not call this method. More...

## Detailed Description

This class contains information about a specified license in the license chain.

Information includes license type, product type (Symantec Endpoint Protection or Symantec Network Access Control), number of purchased seats, and expiration date.

Note that the number of used seats is reported only as a total of all used seats. You must therefore call LicenseSummaryInfo to get the number of used seats.

## Member Function Documentation

int com.symantec.sepm.webservice.admin.license.LicenseInfo.getLicenseType | ( |  | ) |

This license type is the type of the individual license for which detailed information is provided.

See also
  LicenseSummaryInfo

Returns
  an int value that represents the individual license type.

Possible values and their meaning:

0 = LICENSE_INFO_TRIAL. The license type is a trial license.

1 = LICENSE_INFO_UPGRADE. The license type is an upgrade license.

2 = LICENSE_INFO_PURCHASED. The license type is a purchased license.

void com.symantec.sepm.webservice.admin.license.LicenseInfo.setLicenseType | ( | int | type | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  type | the license type.

Possible values and their meaning:

0 = LICENSE_INFO_TRIAL. The license type is a trial license.

1 = LICENSE_INFO_UPGRADE. The license type is an upgrade license.

2 = LICENSE_INFO_PURCHASED. The license type is a purchased license.

int com.symantec.sepm.webservice.admin.license.LicenseInfo.getProductType | ( |  | ) |

The product for which this license is issued.

Returns
  product type

0 = Symantec Endpoint Protection

1 = Symantec Network Access Control

void com.symantec.sepm.webservice.admin.license.LicenseInfo.setProductType | ( | int | type | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  type | product type

0 = Symantec Endpoint Protection

1 = Symantec Network Access Control

int com.symantec.sepm.webservice.admin.license.LicenseInfo.getPurchasedSeats | ( |  | ) |

The number of purchased seats in this license.

Returns
  the number of purchased seats

void com.symantec.sepm.webservice.admin.license.LicenseInfo.setPurchasedSeats | ( | int | seats | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  seats | the number of purchased seats

String com.symantec.sepm.webservice.admin.license.LicenseInfo.getExpirationDate | ( |  | ) |

The expiration date of this license.

Returns
  the expiration date in UTC date format

The caller can convert this UTC date into any desired format for any locale regardless of the caller's platform or programming language. Any grace period is not taken into consideration.

void com.symantec.sepm.webservice.admin.license.LicenseInfo.setExpirationDate | ( | String | date | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  date | a String that represents the expiration date in UTC format

boolean com.symantec.sepm.webservice.admin.license.LicenseInfo.isExpired | ( |  | ) |

Whether this license is expired.

Returns
  the isExpired status of the license

void com.symantec.sepm.webservice.admin.license.LicenseInfo.setExpired | ( | boolean | isExpired | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  isExpired | the isExpired status of the license